GET api/Member/Info?userOpenId={userOpenId}
查询用户信息 说明:(修改:App增加用户年级,性别返回)
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userOpenId |
微信用户OpenId |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
返状态码: 403:请求不合理,服务器拒绝执行(1、请求参数不正确)... 。404:用户信息不存在... 。200:成功... 。
MemberResult| Name | Description | Type | Additional information |
|---|---|---|---|
| memberInfo |
用户基本信息 |
None. |
Response Formats
application/json, text/json
Sample:
{
"memberInfo": {
"Member_ID": 1,
"Member_OpenID": "sample string 2",
"Member_Mobile": "sample string 3",
"Member_TotalScore": 4,
"Member_BalanceScore": 5,
"WxUser_NickName": "sample string 6",
"WxUser_ImgUrl": "sample string 7",
"Member_Sex": 8,
"Member_ClassGrade": "sample string 9"
},
"memberDressUp": "sample string 1",
"memberGrade": "sample string 2",
"nextGradeScore": "sample string 3",
"canExchange": 4,
"IsOpenSign": 5,
"status": 6,
"msg": "sample string 7"
}